CREATE TABLE fai_prompt_mdl_params] (
    TMPL_MDL_PARAM_ID        VARCHAR2(128)     NOT NULL,
    TMPL_MDL_PARAM_CODE      VARCHAR2(320)     NOT NULL,
    TMPL_MDL_PARAM_TYPE      VARCHAR2(128)     NOT NULL,
    PROMPT_TMPL_ID           VARCHAR2(128)     NOT NULL,
    CLOB_VALUE               CLOB          ,
    NUMBER_VALUE             NUMBER(14, 4) ,
    VARCHAR2_VALUE           VARCHAR2(4000),
    TIMESTAMP_VALUE          TIMESTAMP(6)  ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL
);
